Bug 831105 - wallaby cluster-* don't accept uppercase parameters
wallaby cluster-* don't accept uppercase parameters
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor (Show other bugs)
Development
All Linux
low Severity low
: 2.2
: ---
Assigned To: Robert Rati
Tomas Rusnak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 04:11 EDT by Martin Kudlej
Modified: 2012-09-25 04:46 EDT (History)
5 users (show)

See Also:
Fixed In Version: condor-7.6.5-0.16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 14:26:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2012-06-12 04:11:02 EDT
Description of problem:

Failing command with uppercase parameters.
$  wallaby -H xulqrxy-node01 cluster-create --new-cluster NAME='ha_sched3' SPOOL="/mnt/qa/MRG/cluster_mkudlej3" SERVER="nest.test.redhat.com" EXPORT="/mnt/qa" xulqrxy-node01 xulqrxy-node02 xulqrxy-node03 
warning:  rejecting bogus WALLABY_BROKER_MECHANISM of ''
warning:  valid mechanisms include ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI, OTP, PLAIN
fatal:  Argument NAME is not valid

Command with lowercase parameters.
$  wallaby -H xulqrxy-node01 cluster-create --new-cluster name='hasched3' spool="/mnt/qa/MRG/cluster_mkudlej3" server="nest.test.redhat.com" export="/mnt/qa" xulqrxy-node01 xulqrxy-node02 xulqrxy-node03 
warning:  rejecting bogus WALLABY_BROKER_MECHANISM of ''
warning:  valid mechanisms include ANONYMOUS, CRAM-MD5, DIGEST-MD5, GSSAPI, OTP, PLAIN
...

Version-Release number of selected component (if applicable):
Central manager+wallaby store+qpid on 1st node:
python-qpid-qmf-0.14-7.el6_2.x86_64
condor-7.6.5-0.15.el6.x86_64
python-wallabyclient-4.1.2-1.el6.noarch
wallaby-0.12.5-1.el6.noarch
qpid-cpp-client-0.14-16.el6.x86_64
qpid-cpp-server-0.14-16.el6.x86_64
python-qpid-0.14-8.el6.noarch
condor-classads-7.6.5-0.15.el6.x86_64
python-condorutils-1.5-4.el6.noarch
condor-wallaby-client-4.1.2-1.el6.noarch
ruby-wallaby-0.12.5-1.el6.noarch
condor-cluster-resource-agent-7.6.5-0.15.el6.x86_64
condor-wallaby-base-db-1.22-4.el6.noarch
qpid-qmf-0.14-7.el6_2.x86_64
wallaby-utils-0.12.5-1.el6.noarch
condor-wallaby-tools-4.1.2-1.el6.noarch
ruby-qpid-qmf-0.14-7.el6_2.x86_64

other nodes:
python-condorutils-1.5-4.el6.noarch
condor-wallaby-client-4.1.2-1.el6.noarch
ruby-wallaby-0.12.5-1.el6.noarch
qpid-cpp-client-0.14-16.el6.x86_64
python-qpid-qmf-0.14-7.el6_2.x86_64
condor-7.6.5-0.15.el6.x86_64
python-wallabyclient-4.1.2-1.el6.noarch
wallaby-utils-0.12.5-1.el6.noarch
qpid-qmf-0.14-7.el6_2.x86_64
python-qpid-0.14-8.el6.noarch
condor-classads-7.6.5-0.15.el6.x86_64
condor-cluster-resource-agent-7.6.5-0.15.el6.x86_64
ruby-qpid-qmf-0.14-7.el6_2.x86_64


How reproducible:
100%

Steps to Reproduce:
1. install host and inside it 3 guests
2. configure condor and clustering inside those guests
3. configure 1st HA scheduler via condor_configure_pool
4. try to create new HA scheduler via wallaby shell with uppercase parameters
  
Actual results:
wallaby shell commands for HA cluster don't accept uppercase parameters.

Expected results:
wallaby shell commands for HA cluster will accept uppercase parameters, too.
Comment 4 Tomas Rusnak 2012-07-11 09:52:46 EDT
# wallaby cluster-create NAME=test SPOOL=test SERVER=test EXPORT=test node1 -s
Console Connection Established...
Adding the following parameter: SCHEDD.test.HISTORY with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: SCHEDD.test.RESTART_PROCD_ON_ERROR with {:description=>"Created for HA Schedd test", :needsRestart=>false, :kind=>"Boolean"}
Adding the following parameter: SCHEDD.test.SCHEDD_ADDRESS_FILE with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: SCHEDD.test.SCHEDD_DAEMON_AD_FILE with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: SCHEDD.test.SCHEDD_LOG with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: SCHEDD.test.SCHEDD_NAME with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: SCHEDD.test.SPOOL with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: SCHEDD.test.USE_PROCD with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"Boolean"}
Adding the following parameter: test with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}
Adding the following parameter: test_ENVIRONMENT with {:description=>"Created for HA Schedd test", :needsRestart=>true, :kind=>"String"}

# wallaby cluster-delete NAME=test 
Console Connection Established...
#


$CondorVersion: 7.6.5 Jun 26 2012 BuildID: RH-7.6.5-0.16.el6 $
$CondorPlatform: X86_64-RedHat_6.2 $

wallaby-0.12.5-10.el6.noarch

wallaby cluster command now accept uppercase parameters.

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.